Search for all
- Search 7.x for all
- Search 8.9.x for all
- Search 10.3.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| PagerTest::testMultiplePagers | function | core/ |
Tests proper functioning of multiple pagers. |
| PagerTest::testNoLimit | function | core/ |
Tests the none-pager-query. |
| PagerTest::testNormalPager | function | core/ |
Tests the normal pager. |
| PagerTest::testPager | function | core/ |
Tests the pager option. |
| PagerTest::testPagerApi | function | core/ |
Tests the api functions on the view object. |
| PagerTest::testPagerConfigTranslation | function | core/ |
Tests translating the pager using config_translation. |
| PagerTest::testPagerEllipsis | function | core/ |
Tests proper functioning of the ellipsis. |
| PagerTest::testPagerLocale | function | core/ |
Tests translating the pager using locale. |
| PagerTest::testPagerQueryParametersAndCacheContext | function | core/ |
Tests pager query parameters and cache context. |
| PagerTest::testRenderNullPager | function | core/ |
Tests rendering with NULL pager. |
| PagerTest::testStorePagerSettings | function | core/ |
Pagers was sometimes not stored. |
| PagerTest::testViewTotalRowsWithoutPager | function | core/ |
|
| PagerTestController | class | core/ |
Controller routine for testing the pager. |
| PagerTestController.php | file | core/ |
|
| PagerTestController::$pagerParams | property | core/ |
The pager request service. |
| PagerTestController::buildTestTable | function | core/ |
Builds a render array for a pageable test table. |
| PagerTestController::create | function | core/ |
Instantiates a new instance of this class. |
| PagerTestController::multiplePagers | function | core/ |
Returns a page with multiple pagers. |
| PagerTestController::queryParameters | function | core/ |
Returns a pager with 'parameters' variable. |
| PagerTestController::showPagerCacheContext | function | core/ |
#pre_render callback for #type => pager that shows the pager cache context. |
| PagerTestController::trustedCallbacks | function | core/ |
Lists the trusted callbacks provided by the implementing class. |
| PagerTestController::__construct | function | core/ |
Construct a new PagerTestController object. |
| pager_test.info.yml | file | core/ |
core/modules/system/tests/modules/pager_test/pager_test.info.yml |
| pager_test.module | file | core/ |
Hook implementations for this module. |
| pager_test.routing.yml | file | core/ |
core/modules/system/tests/modules/pager_test/pager_test.routing.yml |
| pager_test_preprocess_pager | function | core/ |
Implements hook_preprocess_HOOK(). |
| PageTest | class | core/ |
Tests the content of the progress page. |
| PageTest | class | core/ |
@coversDefaultClass \Drupal\views\Plugin\views\display\Page[[api-linebreak]] @group views |
| PageTest.php | file | core/ |
|
| PageTest.php | file | core/ |
|
| PageTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
| PageTest::$modules | property | core/ |
Modules to enable. |
| PageTest::testBatchProgressMessages | function | core/ |
Tests that the progress messages are correct. |
| PageTest::testBatchProgressPageTheme | function | core/ |
Tests that the batch API progress page uses the correct theme. |
| PageTest::testBatchProgressPageTitle | function | core/ |
Tests that the batch API progress page shows the title correctly. |
| PageTest::testBuildBasicRenderable | function | core/ |
@covers ::buildBasicRenderable[[api-linebreak]] |
| PageTest::testBuildBasicRenderableWithMissingRoute | function | core/ |
@covers ::buildBasicRenderable[[api-linebreak]] |
| PageTitle | class | core/ |
Provides a render element for the title of an HTML page. |
| PageTitle.php | file | core/ |
|
| PageTitle::getInfo | function | core/ |
Returns the element properties for this element. |
| PageTitleBlock | class | core/ |
Provides a block to display the page title. |
| PageTitleBlock.php | file | core/ |
|
| PageTitleBlock::$title | property | core/ |
The page title: a string (plain title) or a render array (formatted title). |
| PageTitleBlock::build | function | core/ |
Builds and returns the renderable array for this block plugin. |
| PageTitleBlock::defaultConfiguration | function | core/ |
Gets default configuration for this plugin. |
| PageTitleBlock::setTitle | function | core/ |
Sets the title. |
| PageTitleTest | class | core/ |
Tests HTML output escaping of page title, site name, and slogan. |
| PageTitleTest.php | file | core/ |
|
| PageTitleTest::$contentUser | property | core/ |
|
| PageTitleTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
Pagination
- Previous page
- Page 1135
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.